> ## Documentation Index
> Fetch the complete documentation index at: https://docs.platform.statista.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Reports

<Warning>
  This is a **legacy endpoint**, maintained for backwards compatibility and may be deprecated in a future release.
</Warning>


## OpenAPI

````yaml GET /v1/data/reports
openapi: 3.0.0
info:
  title: The Statista Data API
  contact:
    name: API Support
    email: api@statista.com
  version: 2.8.0
  description: >-
    The Statista Data API provides access to statistical data, market-insights
    data and reports
servers:
  - url: https://api.statista.ai/
    description: Single Server endpoint
    variables: {}
security:
  - ApiKeyAuth: []
tags: []
paths:
  /v1/data/reports:
    get:
      operationId: reports
      parameters:
        - name: id
          in: query
          required: true
          description: The unique identifier of a content information to be retrieved.
          schema:
            $ref: '#/components/schemas/Type.Id'
          explode: false
      responses:
        '200':
          description: The request has succeeded.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ReportsResponse'
        '400':
          description: The server could not understand the request due to invalid syntax.
        '401':
          description: Access is unauthorized.
        '403':
          description: Access is forbidden.
        '404':
          description: The server cannot find the requested resource.
components:
  schemas:
    Type.Id:
      type: integer
      format: uint64
    ReportsResponse:
      type: object
      properties:
        pdf:
          type: string
          description: The PDF file of this Report
        ppt:
          type: string
          description: The PowerPoint file of this Report
        xls:
          type: string
          description: The Excel file of this Report
      description: The request has succeeded.
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````